%define subrel 1

Summary: Advanced proxy management tool for firefox
Name: firefox-ext-foxyproxy
Version: 3.2
Release: %mkrel 0
License: BSD
Group:	Networking/WWW
URL:	https://addons.mozilla.org/en-US/firefox/addon/foxyproxy-standard/
Source: https://addons.mozilla.org/firefox/downloads/file/108843/foxyproxy_standard-%{version}-sm+tb+fx.xpi
Requires:	mozilla-firefox => %{firefox_epoch}:%{firefox_version}
BuildRequires:	firefox-devel zip
Buildarch: noarch

%description
FoxyProxy is an advanced proxy management tool that completely replaces
Firefox's limited proxying capabilities.

FoxyProxy is a Firefox extension which automatically switches an internet
connection across one or more proxy servers based on URL patterns. Put simply,
FoxyProxy automates the manual process of editing Firefox's Connection Settings
dialog. Proxy server switching occurs based on the loading URL and the
switching rules you define.

Animated icons show you when a proxy is in use. Advanced logging shows you
which proxies were used and when. QuickAdd makes it a snap to create new URL
patterns on-the-fly. FoxyProxy is fully compatible with Portable Firefox, has
better support for PAC files than Firefox itself, and is translated into more
than 25 languages.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/"
mkdir -p "%{buildroot}$extdir"
cp -af %SOURCE0 .
zip -9 *xpi install.rdf
install -m 644 *xpi "%{buildroot}$extdir/$hash.xpi"


%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}/*


%changelog

* Tue Sep 27 2011 dmorgan <dmorgan> 3.2-0.1.mga1
+ Revision: 149291
- New version 3.2
- New version 3.1.2 (mga #1973)

* Tue May 03 2011 tv <tv> 2.22.6-1.mga1
+ Revision: 94461
- drop patch 0 (merged upstream)
- new release

* Thu Apr 07 2011 tv <tv> 2.22.5-1.mga1
+ Revision: 82002
- BuildRequires zip
- imported package firefox-ext-foxyproxy


* Thu Apr 07 2011 Thierry Vignaud <tvignaud@mandriva.com> 2.22.5-1.mga1
- initial release
